struct user_account_info {
    char username[40];			/* nul-terminated string */
    char password[40];			/* only if known */
    long hash[2];
    int algorithm;
    int salt;
    long uic;
    long last_ilogin[2];		/* time of last interactive login */
    long last_nlogin[2];		/* last non-interactive login */
    int fails;				/* Login failures since last success */
    int flags;				/* account flags (disuer, etc) */
    int newmail;			/* Newmail count */
    char login_dir[128];		/* Unix format */
    long expiration[2];			/* Account expiration */
    long pwd_date[2];			/* Time last modified */
    long pwd_lifetime[2];		/* password lifetime */
    int pwd_length;			/* minimum password length */
};

int ssh_get_user_information ( char *username, int user_len,
	struct user_account_info *rec );

int ssh_update_user_logfails ( struct user_account_info *rec );
